<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <OutputType>Library</OutputType>
      <AssemblyName>Raytheon.MAL</AssemblyName>
      <Product>Measure Manager Master</Product>
      <Description>Packages all Measurement Manager assemblies into one package</Description>

      <!-- Dynamic Versioning (Suitable for Release) -->
      <!-- <Version>$(Version)$(Suffix)</Version> -->

      <!-- Static Versioning (Suitable for Development) -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <PropertyGroup>
      <NoWarn>NU1603</NoWarn>
   </PropertyGroup>

   <ItemGroup>
     <ProjectReference Include="..\..\Managers\BitMeasurementManager\BitMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\ChillerCartMeasurementManager\ChillerCartMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\CoeMeasurementManager\CoeMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\CryoMeasurementManager\CryoMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\DioMeasurementManager\DioMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\FpgaMeasurementManager\FpgaMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\JtagMeasurementManager\JtagMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\OpticalBenchMeasurementManager\OpticalBenchMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\PowerSupplyMeasurementManger\PowerSupplyMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\RelayMeasurementManager\RelayMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\RfMeasurementManager\RfMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\SpaceChamberLSPSMeasurementManager\SpaceChamberLspsMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\SwitchMeasurementManager\SwitchMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\TelemetryMeasurementManager\TelemetryMeasurementManager.csproj" />
     <ProjectReference Include="..\..\Managers\VideoRecorderMeasurementManager\VideoRecorderMeasurementManager.csproj" />
   </ItemGroup>

</Project>